Skip to main content
GET
/
v1
/
a2a
/
{passportId}
/
tasks
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi({
  bearerAuth: process.env["RAIJINLABSLUCIDAI_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await raijinLabsLucidAi.a2A.lucidListA2aTasks({
    passportId: "<id>",
  });

  for await (const page of result) {
    console.log(page);
  }
}

run();
{
  "tasks": [
    {
      "id": "<string>",
      "status": {
        "state": "submitted",
        "timestamp": "2023-11-07T05:31:56Z",
        "message": "<string>"
      },
      "artifacts": [
        {
          "parts": [
            {
              "type": "<string>",
              "text": "<string>"
            }
          ]
        }
      ],
      "history": [
        {}
      ],
      "metadata": {}
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123,
  "total_pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passportId
string
required

Agent passport identifier to list tasks for

Query Parameters

state
enum<string>

Filter by task state

Available options:
submitted,
working,
input-required,
completed,
failed,
canceled
page
integer
default:1

Page number for pagination (starts at 1)

Required range: x >= 1
per_page
integer
default:20

Number of results per page (1-100)

Required range: 1 <= x <= 100

Response

OK

tasks
object[]
required
total
integer
required
page
integer
required
per_page
integer
required
total_pages
integer
required